# TdApi.UpdateAutosaveSettings (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateAutosaveSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateAutosaveSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateAutosaveSettings

Enclosing class:
  TdApi

public static final class TdApi.UpdateAutosaveSettings extends TdApi.Update
Autosave settings for some type of chats were updated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.AutosaveSettingsScope`
`scope`
Type of chats for which autosave settings were updated.
`TdApi.ScopeAutosaveSettings`
`settings`
The new autosave settings; may be null if the settings are reset to default.

## Constructor Summary

Constructors
Constructor
Description
`UpdateAutosaveSettings()`
Autosave settings for some type of chats were updated.
`UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
Autosave settings for some type of chats were updated.
`UpdateAutosaveSettings(DataInput input)`
Autosave settings for some type of chats were updated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### scope

public TdApi.AutosaveSettingsScope scope
Type of chats for which autosave settings were updated.

### settings

public TdApi.ScopeAutosaveSettings settings
The new autosave settings; may be null if the settings are reset to default.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateAutosaveSettings

public UpdateAutosaveSettings()
Autosave settings for some type of chats were updated.

### UpdateAutosaveSettings

public UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)
Autosave settings for some type of chats were updated.

Parameters:
  `scope` - AutosaveSettingsScope Type of chats for which autosave settings were updated.
  `settings` - ScopeAutosaveSettings The new autosave settings; may be null if the settings are reset to default.

### UpdateAutosaveSettings

public UpdateAutosaveSettings(DataInput input) throws IOException
Autosave settings for some type of chats were updated.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`